<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class FeedBackRetour extends Datamodul
{
  
  public $gedrucktid;

  
  public $bogenid;

  
  public $retourvon;

  
  public $retouram;

  
  public $bemerkung;

  
  public $bearbeiter;

  
  public $bearbdatum;

  
  public $erfasstvon;

  
  public $erfasstam;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'gedrucktid':
      case 'bogenid':
        return \DatamodulVarType::TYPE_INT;
      case 'retouram':
      case 'bearbdatum':
      case 'erfasstam':
        return \DatamodulVarType::TYPE_DATETIME;
    }
  }
}